Skip Navigation LinksSystemRequirements

System RequirementsSystemRequirements.png

eXpressTransit is a traditional client-server application compatible with Microsoft® Windows® on the client workstations with a required SQL Server™ database on a network-accessible server.  Cloud database functionality is also included with eXpressTransit if you have a subscription using either Microsoft® or Amazon® services.

Client

Client workstations should meet the following requirements to adequately operate eXpressTransit:

  • 1.6GHz or faster 32-bit (x86) or 64-bit (x64) processor (including single-core support)
  • Microsoft® Windows® XP with Service Pack 3, Windows Vista®, Windows 7 or Windows 8
  • 1GB RAM (2GB recommended)
  • 4GB of available hard-disk space
  • Color monitor
  • 1024x768 monitor resolution
  • Internet connection required for Internet-based services
  • Microsoft® .Net Framework 4.0 or higher

Database Server

eXpressTransit requires Microsoft SQL Server available on a network-accessible server running one of the following versions:

  • Microsoft SQL Server 2012 - Any Edition
  • Microsoft SQL Server 2008 or 2008 R2 - Any Edition
  • Microsoft SQL Server 2005 - Any Edition

eXpressTransit also supports Microsoft SQL Database and Amazon Relational Database Service cloud database services if your transit agency has a subscription to either of them.  We would be happy to setup a subscription to either of these excellent cloud database services for you to ensure compatiblity with eXpressTransit and data security, however you would be responsible for the monthly service fee (varies based on usage).

AVL Requirements

Tablet-based AVL features of eXpressTransit require any Windows 7, 8 or higher tablet running on an Intel Atom or higher CPU with cellular network connectivity or other service that provides Internet access.

Passenger Counting Requirements (non-AVL)

Tablet-based non-AVL features of eXpressTransit for the purpose of passenger counting require any Windows 7, 8 or higher tablet running on an Intel Atom or higher CPU.  Driver-dispatch communication is only enabled if the tablet also has Internet connectivy through a cellular network or other service.

Languages

eXpressTransit is currently compatible with English only, however we currently are in development to support additional languages including German, Spanish and French.  If there is a specific language you would like to see supported by eXpressTransit, please contact us.